--- llcommon/llfasttimer.cpp.orig	Thu Aug  2 23:13:06 2007
+++ llcommon/llfasttimer.cpp	Thu Aug  9 13:36:03 2007
@@ -33,7 +33,7 @@
 #if LL_WINDOWS
 #include <time.h>
 
-#elif LL_LINUX || LL_SOLARIS
+#elif LL_LINUX || LL_FREEBSD || LL_SOLARIS
 #include <time.h>
 #include <sys/time.h>
 #include <sched.h>
@@ -91,7 +91,8 @@
 #endif // LL_WINDOWS
 
 
-#if (LL_LINUX || LL_SOLARIS) && (defined(__i386__) || defined(__amd64__))
+#if (LL_LINUX || LL_FREEBSD || LL_SOLARIS) \
+ && (defined(__i386__) || defined(__amd64__))
 U64 get_cpu_clock_count()
 {
 	U64 x;
@@ -115,7 +116,7 @@
 //////////////////////////////////////////////////////////////////////////////
 
 //static
-#if LL_LINUX || LL_DARWIN || LL_SOLARIS
+#if LL_LINUX || LL_FREEBSD || LL_DARWIN || LL_SOLARIS
 // Both Linux and Mac use gettimeofday for accurate time
 U64 LLFastTimer::countsPerSecond()
 {
