--- llcommon/llstring.h.orig	Thu Aug  2 23:13:06 2007
+++ llcommon/llstring.h	Thu Aug  9 20:15:51 2007
@@ -40,7 +40,7 @@
 #include <errno.h>
 #include <math.h>
 #include <stdarg.h> /* for vsnprintf */
-#if LL_LINUX || LL_SOLARIS
+#if LL_LINUX || LL_FREEBSD || LL_SOLARIS
 #include <wctype.h>
 #include <wchar.h>
 #endif
@@ -205,7 +205,7 @@
 	LLStringBase(const T* s, size_type n);
 	LLStringBase(const T* s, size_type pos, size_type n );
 	
-#if LL_LINUX || LL_SOLARIS
+#if LL_LINUX || LL_FREEBSD || LL_SOLARIS
 	void clear() { assign(null); }
 	
 	LLStringBase<T>& assign(const T* s);
@@ -700,7 +700,7 @@
 	}
 }
 
-#if LL_LINUX || LL_SOLARIS
+#if LL_LINUX || LL_FREEBSD || LL_SOLARIS
 template<class T> 
 LLStringBase<T>& LLStringBase<T>::assign(const T* s)
 {
@@ -1095,7 +1095,7 @@
 template<class T> 
 BOOL LLStringBase<T>::write(std::basic_string<T>& string, const char* filename)
 {
-#if LL_LINUX  || LL_SOLARIS
+#if LL_LINUX  || LL_FREEBSD || LL_SOLARIS
     printf("STUBBED: LLStringBase<T>::write at %s:%d\n", __FILE__, __LINE__);
 #else
 	llofstream ofs(filename, llofstream::binary);
