--- llcommon/lltimer.cpp.orig	Thu Aug  2 23:13:06 2007
+++ llcommon/lltimer.cpp	Thu Aug  9 13:59:11 2007
@@ -37,7 +37,7 @@
 #	include <winsock2.h>
 #	include <windows.h>
 #	include <time.h>
-#elif LL_LINUX || LL_SOLARIS
+#elif LL_LINUX || LL_FREEBSD || LL_SOLARIS
 #	include <time.h>
 #	include <sys/time.h>
 #	include <sched.h>
@@ -90,7 +90,7 @@
 {
 	SleepEx(0, TRUE); // Relinquishes time slice to any thread of equal priority, can be woken up by extended IO functions
 }
-#elif LL_LINUX || LL_SOLARIS
+#elif LL_LINUX || LL_FREEBSD || LL_SOLARIS
 void ms_sleep(long ms)
 {
 	struct timespec t;
@@ -150,7 +150,7 @@
 #endif // LL_WINDOWS
 
 
-#if LL_LINUX || LL_DARWIN || LL_SOLARIS
+#if LL_LINUX || LL_DARWIN || LL_FREEBSD || LL_SOLARIS
 // Both Linux and Mac use gettimeofday for accurate time
 F64 calc_clock_frequency(unsigned int uiMeasureMSecs)
 {
