--- llwindow/llwindowsdl.cpp.orig	Thu Aug  2 23:13:08 2007
+++ llwindow/llwindowsdl.cpp	Thu Aug  9 19:17:47 2007
@@ -47,13 +47,13 @@
 }
 #endif // LL_GTK
 
-#if LL_LINUX || LL_SOLARIS
+#if LL_LINUX || LL_FREEBSD || LL_SOLARIS
 // not necessarily available on random SDL platforms, so #if LL_LINUX
 // for execv(), waitpid(), fork()
 # include <unistd.h>
 # include <sys/types.h>
 # include <sys/wait.h>
-#endif // LL_LINUX || LL_SOLARIS
+#endif // LL_LINUX || LL_FREEBSD || LL_SOLARIS
 
 extern BOOL gDebugWindowProc;
 
@@ -2695,7 +2695,7 @@
 {
 	llinfos << "spawn_web_browser: " << escaped_url << llendl;
 	
-#if LL_LINUX || LL_SOLARIS
+#if LL_LINUX || LL_FREEBSD || LL_SOLARIS
 # if LL_X11
 	if (gWindowImplementation && gWindowImplementation->mSDL_Display)
 	{
@@ -2735,7 +2735,7 @@
 			llwarns << "fork failure." << llendl;
 		}
 	}
-#endif // LL_LINUX || LL_SOLARIS
+#endif // LL_LINUX || LL_FREEBSD || LL_SOLARIS
 
 	llinfos << "spawn_web_browser returning." << llendl;
 }
