--- newview/lluserauth.cpp.orig	Thu Aug  2 23:13:13 2007
+++ newview/lluserauth.cpp	Thu Aug  9 17:46:12 2007
@@ -51,12 +51,16 @@
 // error if we get compiled for a different platform.
 // *FIX: This is misreporting on linux. Change this so that linux is
 // in fact reporting linux.
-#if LL_WINDOWS || LL_LINUX  
+// *FIX: It's misrepresented for FreeBSD as well. Can OpenBSD and
+// NetBSD use the same platform string? Fix when the CGI is fixed!
+#if LL_WINDOWS || LL_LINUX || LL_FREEBSD 
 static const char* PLATFORM_STRING = "Win";
 #elif LL_DARWIN
 static const char* PLATFORM_STRING = "Mac";
 #elif LL_LINUX
 static const char* PLATFORM_STRING = "Lnx";
+#elif LL_FREEBSD
+static const char* PLATFORM_STRING = "Bsd";
 #elif LL_SOLARIS
 static const char* PLATFORM_STRING = "Sol";
 #else
