--- llcommon/llhash.h.orig	Thu Aug  2 23:13:06 2007
+++ llcommon/llhash.h	Thu Aug  9 14:25:48 2007
@@ -34,7 +34,7 @@
 #if (LL_WINDOWS)
 #include <hash_map>
 #include <algorithm>
-#elif LL_DARWIN || LL_LINUX
+#elif LL_DARWIN || LL_LINUX || LL_FREEBSD
 #  if GCC_VERSION >= 30400 // gcc 3.4 and up
 #    include <ext/hashtable.h>
 #  elif __GNUC__ >= 3
@@ -55,7 +55,7 @@
 #elif ( (defined _STLPORT_VERSION) || ((LL_LINUX) && (__GNUC__ <= 2)) )
 	std::hash<T> H;
 	return H(value);
-#elif LL_DARWIN || LL_LINUX || LL_SOLARIS
+#elif LL_DARWIN || LL_LINUX || LL_FREEBSD || LL_SOLARIS
 	__gnu_cxx::hash<T> H;
 	return H(value);
 #else
