--- llvfs/lldir_linux.cpp.orig	Thu Aug  2 23:13:07 2007
+++ llvfs/lldir_linux.cpp	Thu Aug  9 19:22:59 2007
@@ -97,10 +97,7 @@
 
 	char path [32];	/* Flawfinder: ignore */ 
 
-	// *NOTE: /proc/%d/exe doesn't work on FreeBSD. But that's ok,
-	// because this is the linux implementation.
-
-	snprintf (path, sizeof(path), "/proc/%d/exe", (int) getpid ()); 
+	fillProcLinkPath(path, sizeof(path));
 	int rc = readlink (path, tmp_str, sizeof (tmp_str)-1);	/* Flawfinder: ignore */ 
 	if ( (rc != -1) && (rc <= ((int) sizeof (tmp_str)-1)) )
 	{
@@ -362,3 +359,10 @@
 	}
 }
 
+void LLDir_Linux::fillProcLinkPath(char *path, int size)
+{
+	// *NOTE: /proc/%d/exe doesn't work on FreeBSD. But that's ok,
+	// because this is the linux implementation.
+
+	snprintf (path, sizeof(path), "/proc/%d/exe", (int) getpid ()); 
+}
