--- newview/llcontroldef.cpp.orig	Thu Aug  2 23:13:13 2007
+++ newview/llcontroldef.cpp	Wed Aug 22 11:29:25 2007
@@ -212,8 +212,13 @@
 	gSavedSettings.declareF32("FontSizeLarge",	12.f, "Size of large font (points, or 1/72 of an inch)");
 	gSavedSettings.declareF32("FontSizeHuge",	16.f, "Size of huge font (points, or 1/72 of an inch)");
 
+#if LL_FREEBSD
+	gSavedSettings.declareString("FontMonospace",		"luximr.ttf", "Name of monospace font (Truetype file name)");
+	gSavedSettings.declareString("FontSansSerif",		"luxisr.ttf", "Name of san-serif font (Truetype file name)");
+#else
 	gSavedSettings.declareString("FontMonospace",		"profontwindows.ttf", "Name of monospace font (Truetype file name)");
 	gSavedSettings.declareString("FontSansSerif",		"MtBkLfRg.ttf", "Name of san-serif font (Truetype file name)");
+#endif
 #if LL_WINDOWS
 	// Lists Japanese, Korean, and Chinese sanserif fonts available in
 	// Windows XP and Vista, as well as "Arial Unicode MS".
@@ -232,7 +237,11 @@
 	gSavedSettings.declareString("FontSansSerifFallback",	"unicode.ttf", "Name of fallback san-serif font (Truetype file name)");
 #endif
 	gSavedSettings.declareF32("FontSansSerifFallbackScale", 1.0, "Scale of fallback font relative to huge font (fraction of huge font size)");
+#if LL_FREEBSD
+	gSavedSettings.declareString("FontSansSerifBold",	"luxisb.ttf", "Name of bold font (Truetype file name)");
+#else
 	gSavedSettings.declareString("FontSansSerifBold",	"MtBdLfRg.ttf", "Name of bold font (Truetype file name)");
+#endif
 
 	//------------------------------------------------------------------------
 	// Chat
